Bug 69183 - EDITING: insert a table with ctrl-v changes the formating of the table and the following Paragraph
Summary: EDITING: insert a table with ctrl-v changes the formating of the table and th...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2013-09-10 15:59 UTC by Ricard
Modified: 2019-12-03 14:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
document with the scenario mencioned obove (13.07 KB, application/vnd.oasis.opendocument.text)
2013-09-10 15:59 UTC, Ricard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ricard 2013-09-10 15:59:28 UTC
Created attachment 85574 [details]
document with the scenario mencioned obove

Problem description: 
I have made a table in the Text and like to copy it to other places in the text.
When I have the formatting of an list and I insert the table with coy and paste, the the formatting inside the table also gets the list- formatting.
Second thing is that the following paragraph, if it is a chapter wit number also gets the list-formatting
Please view the document which I added.
This problem is kown in the 3.x versions and also in the 4.0 versions.
I get the same behavour with Ubuntu and windows version.

Steps to reproduce:
1. make a tabe in the text.
2. copy it to the clipboard
3. make to new paragraphs. 
4. the first mark as list
5. the second make as heading1.
6.in the menu extra-chapternumbring put tthe formatting for the heading1 that it shows the number of the chapter.
7. put the curswor in the line with the list and insert the table of the clipboard.


Current behavior:
the tableformatting has changed to list and the following paragraph is now a list.

Expected behavior:
the table should be inserted as is, without changing the format, nither inside the table or any other paragraph.
Adicional information:
Same happens when I have a Bulled-list and a numbered list in the following line and I insert the table in the Bulle-List. (see added document)



              
Operating System: Ubuntu
Version: 4.1.1.2 rc
Comment 1 Ricard 2013-09-10 16:59:05 UTC
*** Bug 69185 has been marked as a duplicate of this bug. ***
Comment 2 Mike Kaganski 2013-09-17 08:53:39 UTC
Reproducible with 4.1.2.1 and AOO 4.0 under Win7x64 - an inherited problem.
Comment 3 QA Administrators 2015-04-01 14:41:17 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-04-23 12:37:04 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 5 Mike Kaganski 2015-05-11 05:16:48 UTC
Code pointer:
sw/source/core/frmedt/fecopy.cxx
bool SwFEShell::Paste( SwDoc* pClpDoc, bool bIncludingPageFrames )
line~1043
> bool bStartWithTable = 0 != aCpyPam.Start()->nNode.GetNode().FindTableNode();
Comment 6 QA Administrators 2016-09-20 09:42:44 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:12:11 UTC
Dear Ricard,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug